# Note that this is NOT a relocatable package
%define ver		2.2.0
%define RELEASE		0.4
%define rel		%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix 		/usr
%define sysconfdir	/etc
%define htmldir		/var/www/mirrors

Summary: FTP mirroring tool
Name: emirror
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internat
Source: ftp://eclipt.uni-klu.ac.at/pub/projects/%{name}/%{name}-%{version}.tar.gz
URL: http://eclipt.uni-klu.ac.at/projects/emirror/
Packager: Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
Docdir: %{_prefix}/doc
Requires: python >= 1.5.2

%description
The ECLiPt Mirroring Tool (emirror for short) is a full featured FTP mirroring
package.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --sysconfdir=%{sysconfdir} --with-htmldir=%{htmldir}

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

mkdir -p $RPM_BUILD_ROOT%{htmldir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/*
%config /etc/emirror/*
%dir %{htmldir}
%{prefix}/bin/emirror
%{prefix}/bin/mirror
%{prefix}/bin/updateindex
%{prefix}/lib/*
%{prefix}/man/man1/*

%changelog
* Sat Oct 20 2001 Martin Preishuber <Martin.Preishuber@eclipt.at>
- [2.1.20] updated release
* Thu Oct 26 2000 Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
- [2.1.17] updated release
* Tue Aug 20 2000 Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
- [2.1pre16-1] first RPM release
